CVE-2005-4694
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 21:28:48
NMCO    

[原文]Unspecified vulnerability in the www_add method in Asset.pm in Plain Black WebGUI 6.3.0 and other versions before 6.7.6 allows attackers to execute arbitrary code via unknown attack vectors.


[CNNVD]WebGUI任意命令执行漏洞(CNNVD-200512-638)

        Plain Black WebGUI 6.3.0以及其他6.7.6之前的版本中的Asset.pm所含的www_add方法存在未明漏洞,远程攻击者可以通过未知攻击向量执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4694
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4694
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-638
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/22730
(PATCH)  XF  webgui-unknown-code-execution(22730)
http://www.securityfocus.com/bid/15083
(PATCH)  BID  15083
http://www.osvdb.org/19933
(PATCH)  OSVDB  19933
http://secunia.com/advisories/17158
(VENDOR_ADVISORY)  SECUNIA  17158
http://www.vupen.com/english/advisories/2005/2060
(UNKNOWN)  VUPEN  ADV-2005-2060
http://www.plainblack.com/getwebgui/advisories/security-exploit-patch-for-6.3-and-above
(UNKNOWN)  CONFIRM  http://www.plainblack.com/getwebgui/advisories/security-exploit-patch-for-6.3-and-above

- 漏洞信息

WebGUI任意命令执行漏洞
高危 输入验证
2005-12-31 00:00:00 2006-02-03 00:00:00
远程  
        Plain Black WebGUI 6.3.0以及其他6.7.6之前的版本中的Asset.pm所含的www_add方法存在未明漏洞,远程攻击者可以通过未知攻击向量执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/pbwebgui/webgui-6.7.6-gamma.tar.gz

- 漏洞信息

19933
WebGUI Asset.pm Asset Addition Arbitrary Code Execution
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

WebGUI contains a flaw that may allow a remote malicious user to execute arbitrary commands. This flaw exists because the application does not properly filter specially crafted parameters upon submission to the 'lib/WebGUI/Asset.pm' script, in the www_add function, when adding a new Asset. It is possible that the flaw may allow the execution of arbitrary code resulting in a loss of integrity.

- 时间线

2005-10-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 6.7.6 or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): 1) Edit lib/WebGUI/Asset.pm 2) Add the following line as the first line in the www_add method: return "" unless ($session{form}{class} =~ m/^[A-Za-z0-9\:]+$/); 3) Save the file 4) Restart apache.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站